Skip to main content
GET
/
orchestration
/
optimize-and-deploy
/
{brand_id}
/
{token}
Get Pipeline Status
curl --request GET \
  --url https://api.scrunchai.com/v2/orchestration/optimize-and-deploy/{brand_id}/{token} \
  --header 'Authorization: Bearer <token>'
{
  "token": "<string>",
  "url": "<string>",
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "optimization_run_id": "<string>",
  "axp_version_id": 123,
  "result": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

brand_id
integer
required
token
string
required

Response

Successful Response

Response for orchestration status check.

token
string
required
url
string
required
status
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
orchestration_status
enum<string> | null
Available options:
audit,
optimizing,
deploying,
completed,
failed
optimization_run_id
string | null
axp_version_id
integer | null
result
Result · object